Subject: Re: [PATCHv3 2/2] rebase [-i --exec | -ix] <CMD>...

From: Torsten Bögershausen <[email-masked]>
Date: Sat, 09 Jun 2012 08:14:13 +0200

On 08.06.12 23:03, [email-masked] wrote:
> 
> Torsten Bögershausen <[email-masked]> a écrit :
> 
>> On 08.06.12 22:07, [email-masked] wrote:
>>>
>>> Torsten Bögershausen <[email-masked]> a écrit :
>>>
>>>> On 08.06.12 21:15, [email-masked] wrote:
>>>>>
>>>>> Torsten Bögershausen <[email-masked]> a écrit :
>>>>
>>>>> Which part does not apply ? If you skip the part that's implementing the
>>>>> exec option, of course Git will not recognize it.
>>>>
>>>>
>>>> Hej,
>>>> 2 questions:
>>>> a) Where should it apply ?
>>>> I tried to apply it on commit f623ca1cae600e97cb0b38131fdd33e4fb669cf8
>>>
>>> I just tried to apply it on that commit and it works for me. What's the
>>> error message ?
>>>
>>>> b) Does the line from my log
>>>> "error: unknown option `exec'"
>>>> tell us anything?
>>>
>>> Yes, that the patch was not applied ^^'.
>> ------------------------------------------------
>> That's the outcome, if I try to re-apply it:
>> Applying: Fwd: [PATCHv3 2/2] rebase [-i --exec | -ix] <CMD>...
>> error: patch failed: Documentation/git-rebase.txt:210
>> error: Documentation/git-rebase.txt: patch does not apply
>> Patch failed at 0001 Fwd: [PATCHv3 2/2] rebase [-i --exec | -ix] <CMD>...
>> When you have resolved this problem run "git am --resolved".
>> If you would prefer to skip this patch, instead run "git am --skip".
>> To restore the original branch and stop patching run "git am --abort".
> 
> Did you first apply the first part [PATCHv3 1/2] of the patch ?
> 
> Lucien Kong.
Hej,
I have 2 patches with the headline "[PATCHv3 1/2" in my in box.
None of them is dealing in any kind with upgrading a command to understand "exec".

To be able to test under Mac OS it could be helpful if you just re-send
one patch to my email.
Then I can try to re-do the patch based on f623ca1cae600e97cb0b38 and
test it under Mac OS.

Does that makes sense?

/Torsten